import { OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { MangolControllersFullScreenOptions } from './../../../interfaces/config-map-controllers.interface';
import * as fromMangol from './../../../store/mangol.reducers';
export declare class FullscreenButtonComponent implements OnInit {
    private store;
    fullScreen$: Observable<MangolControllersFullScreenOptions>;
    constructor(store: Store<fromMangol.MangolState>);
    ngOnInit(): void;
    toggleFullScreen(): void;
    isFullScreen(): boolean;
}
